﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using RedisStuy;

using StackExchange.Redis;

using Xunit;

namespace RedisStudyTest
{
    public class RedisServerStudyTest
    {
        private IServer redisServer;
        private RedisServerStudy redisServerStudy;

        public RedisServerStudyTest()
        {
            redisServer = RedisHelper.GetDefaultRedisServer();
            redisServerStudy = new RedisServerStudy();
        }

        [Fact]
        public void Test()
        {
           var info= redisServerStudy.RedisInfo();

            Assert.NotEmpty(info);
            Assert.True(info.Count()>0);
        }
    }
}
